Name:          mce-inject
Version:       20130119
Release:       1%{?dist}
Summary:       Linux machine check injector tool
License:       GPLv2+
URL:           https://git.kernel.org/pub/scm/utils/cpu/mce/mce-inject.git
# git archive --prefix mce-inject-20130119/ --format tar.gz -o mce-inject-20130119.tar.gz 4cbe46321b4a81365ff3aafafe63967264dbfec5
Source0:       mce-inject-%{version}.tar.gz

BuildRequires: bison
BuildRequires: flex
BuildRequires: gcc

%description
mce-inject allows to inject machine check errors on the 
software level into a running Linux kernel. This is intended for
validation of the kernel machine check handler.

%prep
%setup -q

%build
make

%install
destdir=$RPM_BUILD_ROOT make install

%files
%{_sbindir}/mce-inject
%{_mandir}/man8/mce-inject.8.gz
